from netforce.model import Model, fields

class CycleItemLine(Model):
    _name="clinic.cycle.item.line"
    _string="Cycle Item Nurse"
    
    _fields={
        'cycle_item_id': fields.Many2One("clinic.cycle.item", "Cycle Item"),
        'level_id': fields.Many2One("clinic.staff.level", "Level",),
        'nurse_id': fields.Many2One("clinic.staff",'Nurse',domain=[['type','=','nurse']]),
        'department_id': fields.Many2One("clinic.department","Department"),
        "state": fields.Selection([["part_time","Part Time"],["full_time","Full Time"]],"Working Status",search=True),
        'categ_id': fields.Many2One("clinic.staff.categ",'Category',domain=[['type','=','nurse']]),
    }

CycleItemLine.register()
