from netforce.model import Model, fields

class ReportStaffPatient(Model):
    _name='clinic.report.staff.patient'
    _string="Report Staff Patient"

    _fields={
        'report_staff_id': fields.Many2One("clinic.report.staff","Report Staff", required=True, on_delete="cascade"),
        'patient_id': fields.Many2One("clinic.patient","Patient"),
        'date': fields.Date("Date"),
        'amount': fields.Float("Amount"),
    }

ReportStaffPatient.register()
